Package io.vertx.reactivex.redis.client

## Class RedisConnection

- java.lang.Object
- - io.vertx.reactivex.redis.client.RedisConnection

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`, `ReadStream<Response>`, `StreamBase`

      public class RedisConnection
      extends Object
      implements io.vertx.lang.rx.RxDelegate, ReadStream<Response>

  A simple Redis client.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<RedisConnection>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RedisConnection​(RedisConnection delegate)` |
    `RedisConnection​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<List<Response>>` | `batch​(List<Request> commands)` | Sends a list of commands in a single IO operation, this prevents any inter twinning to happen from other client users.
    `Future<Void>` | `close()` | Closes the connection or returns to the pool.
    `RedisConnection` | `endHandler​(Handler<Void> endHandler)` | Set an end handler.
    `boolean` | `equals​(Object o)` |
    `RedisConnection` | `exceptionHandler​(Handler<Throwable> handler)` | Set an exception handler on the read stream.
    `RedisConnection` | `fetch​(long amount)` | Fetch the specified `amount` of elements.
    `RedisConnection` | `getDelegate()` |
    `RedisConnection` | `handler​(Handler<Response> handler)` | Set a data handler.
    `int` | `hashCode()` |
    `static RedisConnection` | `newInstance​(RedisConnection arg)` |
    `RedisConnection` | `pause()` | Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `boolean` | `pendingQueueFull()` | Flag to notify if the pending message queue (commands in transit) is full.
    `Pipe<Response>` | `pipe()` | Pause this stream and return a to transfer the elements of this stream to a destination .
    `Future<Void>` | `pipeTo​(WriteStream<Response> dst)` | Pipe this `ReadStream` to the `WriteStream`.
    `RedisConnection` | `resume()` | Resume reading, and sets the buffer in `flowing` mode.
    `Single<List<Response>>` | `rxBatch​(List<Request> commands)` | Sends a list of commands in a single IO operation, this prevents any inter twinning to happen from other client users.
    `Completable` | `rxClose()` | Closes the connection or returns to the pool.
    `Completable` | `rxPipeTo​(WriteStream<Response> dst)` | Pipe this `ReadStream` to the `WriteStream`.
    `Maybe<Response>` | `rxSend​(Request command)` | Send the given command to the redis server or cluster.
    `Future<Response>` | `send​(Request command)` | Send the given command to the redis server or cluster.
    `Flowable<Response>` | `toFlowable()` |
    `Observable<Response>` | `toObservable()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RedisConnection> __TYPE_ARG

  - ### Constructor Detail

    - #### RedisConnection

          public RedisConnection​(RedisConnection delegate)

    - #### RedisConnection

          public RedisConnection​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RedisConnection getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<Response>`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<Response> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<Response>`

    - #### toFlowable

          public Flowable<Response> toFlowable()

      Specified by:
        `toFlowable` in interface `ReadStream<Response>`

    - #### pipe

          public Pipe<Response> pipe()

      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<Response>`
      Returns:
        a pipe

    - #### pipeTo

          public Future<Void> pipeTo​(WriteStream<Response> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Specified by:
        `pipeTo` in interface `ReadStream<Response>`
      Parameters:
        `dst` - the destination write stream
      Returns:
        a future notified when the write stream will be ended with the outcome

    - #### rxPipeTo

          public Completable rxPipeTo​(WriteStream<Response> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Specified by:
        `rxPipeTo` in interface `ReadStream<Response>`
      Parameters:
        `dst` - the destination write stream
      Returns:
        a future notified when the write stream will be ended with the outcome

    - #### exceptionHandler

          public RedisConnection exceptionHandler​(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<Response>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` -
      Returns:

    - #### handler

          public RedisConnection handler​(Handler<Response> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<Response>`
      Parameters:
        `handler` -
      Returns:

    - #### pause

          public RedisConnection pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<Response>`
      Returns:

    - #### resume

          public RedisConnection resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<Response>`
      Returns:

    - #### fetch

          public RedisConnection fetch​(long amount)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<Response>`
      Parameters:
        `amount` -
      Returns:

    - #### endHandler

          public RedisConnection endHandler​(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<Response>`
      Parameters:
        `endHandler` -
      Returns:

    - #### send

          public Future<Response> send​(Request command)

      Send the given command to the redis server or cluster.
      Parameters:
        `command` - the command to send
      Returns:
        a future with the result of the operation

    - #### rxSend

          public Maybe<Response> rxSend​(Request command)

      Send the given command to the redis server or cluster.
      Parameters:
        `command` - the command to send
      Returns:
        a future with the result of the operation

    - #### batch

          public Future<List<Response>> batch​(List<Request> commands)

      Sends a list of commands in a single IO operation, this prevents any inter twinning to happen from other client users.
      Parameters:
        `commands` - list of command to send
      Returns:
        a future with the result of the operation

    - #### rxBatch

          public Single<List<Response>> rxBatch​(List<Request> commands)

      Sends a list of commands in a single IO operation, this prevents any inter twinning to happen from other client users.
      Parameters:
        `commands` - list of command to send
      Returns:
        a future with the result of the operation

    - #### close

          public Future<Void> close()

      Closes the connection or returns to the pool.
      Returns:

    - #### rxClose

          public Completable rxClose()

      Closes the connection or returns to the pool.
      Returns:

    - #### pendingQueueFull

          public boolean pendingQueueFull()

      Flag to notify if the pending message queue (commands in transit) is full.

      When the pending message queue is full and a new send command is issued it will result in a exception to be thrown. Checking this flag before sending can allow the application to wait before sending the next message.

      Returns:
        true is queue is full.

    - #### newInstance

          public static RedisConnection newInstance​(RedisConnection arg)